1. legggooo's Avatar
    Does anyone have it working? I checked on the Qik site and it's not "technically" supported, for it's not listed on the website. If so which version will work?
    06-17-10 08:28 PM
  2. diegonei's Avatar
    None so far.

    Real shame.
    06-17-10 08:30 PM
  3. anon(140126)'s Avatar
    Been waiting for it! I don't know why it only supports older models of BlackBerrys.
    06-17-10 09:20 PM
  4. diegonei's Avatar
    OS issues, of course.

    All of those are 4.5/4.6 based devices.

    I do wonder... Would falling back to an early 4.6.1 release (making the system closer to the one on the supported devices) make it work? I'll never know. The service they provide is not that necessary for me to forgo downgrading.
    06-18-10 08:43 AM
  5. anon(140126)'s Avatar
    OS issues, of course.

    All of those are 4.5/4.6 based devices.

    I do wonder... Would falling back to an early 4.6.1 release (making the system closer to the one on the supported devices) make it work? I'll never know. The service they provide is not that necessary for me to forgo downgrading.
    It works on my cousin's phone. She has an 8330 running OS v5.0.0.438.
    06-18-10 09:02 AM
  6. diegonei's Avatar
    It works on my cousin's phone. She has an 8330 running OS v5.0.0.438.
    But it is supposed to work on 83xx devices.
    06-18-10 09:11 AM
  7. legggooo's Avatar
    I don't get how they can overlook such a large user base, When the 8520/8530's are so popular, and they support all these other obscure phones.
    06-18-10 06:23 PM
  8. diegonei's Avatar
    Calling a 9000 or a 8900 obscure, are we? I hope not.

    But I agree, they better come up with a version that supports the 8500 series. We can't be ignored. Media device isn't it?
    06-18-10 11:55 PM
  9. legggooo's Avatar
    Calling a 9000 or a 8900 obscure, are we? I hope not.
    Oh no! Far from it :P
    06-20-10 03:26 PM
LINK TO POST COPIED TO CLIPBOARD